package com.prolog.eis.service.out;


import com.prolog.eis.model.out.BizOutboundTaskDismantleSupply;
import com.prolog.framework.core.restriction.Criteria;

import java.util.List;
import java.util.Map;

/**
 * @author zmr
 * @description: 出库任务拆零待补货数量-服务接口类
 * @date 2023-09-20 18:32
 */
public interface BizOutboundTaskDismantleSupplyService {

    /**
     * 新增数据
     *
     * @param bizOutboundTaskDismantleSupply 出库任务拆零待补货数量
     */
    long save(BizOutboundTaskDismantleSupply bizOutboundTaskDismantleSupply);

    /**
     * 新增批量数据
     *
     * @param bizOutboundTaskDismantleSupplyList 出库任务拆零待补货数量
     */
    long saveBatch(List<BizOutboundTaskDismantleSupply> bizOutboundTaskDismantleSupplyList);

    /**
     * 查询多条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象列表
     */
    List<BizOutboundTaskDismantleSupply> findByMap(Map<String, Object> paramMap);

    /**
     * 查询单条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象
     */
    BizOutboundTaskDismantleSupply findOneByMap(Map<String, Object> paramMap);

    /**
     * 查询多条数据
     *
     * @param criteria 查询起始位置
     * @return 对象列表
     */
    List<BizOutboundTaskDismantleSupply> findByCriteria(Criteria criteria);

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    BizOutboundTaskDismantleSupply findById(int id);

    /**
     * 修改数据
     *
     * @param bizOutboundTaskDismantleSupply 实例对象
     */
    long update(BizOutboundTaskDismantleSupply bizOutboundTaskDismantleSupply);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     */
    long deleteById(int id);

    /**
     * 通过参数删除数据
     *
     * @param paramMap 参数
     */
    long deleteByMap(Map<String, Object> paramMap);

    /**
     * 通过参数查询总条数
     *
     * @param paramMap 参数
     */
    long findCountByMap(Map<String, Object> paramMap);

}
